//
//  AppDelegate.swift
//  Trampigo
//
//  Created by Naim Ashhab on 21.10.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import UIKit
import KeychainAccess

let keychainSecret = "FlintuJaRadMam"
let KEYCHAIN_SERVICE_TRAMPIGO = "cz.naimashhab.Trampigo-" + (isCoachTarget ? "Coach-" : "") + keychainSecret

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
  
  var window: UIWindow?
  
  
  func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
    
    
    // Autologin 
    
    if let logedUserToken = Keychain(service: KEYCHAIN_SERVICE_TRAMPIGO)["x-access-token"] {
      let UserType: User.Type = isGymnastTarget ? Gymnast.self : Coach.self
      User.logedUser = UserType.init(accessToken: logedUserToken)
    }
    
    
    // Navigation bar
    
    UINavigationBar.appearance().barTintColor = UIColor.trampigoPrimaryColor()
    UINavigationBar.appearance().translucent = false
    
    return true
  }
  
  func applicationWillResignActive(application: UIApplication) {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
  }
  
  func applicationDidEnterBackground(application: UIApplication) {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    
    User.saveUserToDefaults(User.logedUser)
  }
  
  func applicationWillEnterForeground(application: UIApplication) {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
  }
  
  func applicationDidBecomeActive(application: UIApplication) {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
  }
  
  func applicationWillTerminate(application: UIApplication) {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
  }
  
}

