//
//  StringExt.swift
//  Trampigo
//
//  Created by Naim Ashhab on 04.11.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import Foundation

extension String {
  
  // Localization
  var localized: String {
    return NSLocalizedString(self, comment: "")
  }
  
  func localizedWithComment(comment:String) -> String {
    return NSLocalizedString(self, comment: comment)
  }
  
  // Range
  func rangeFromNSRange(nsRange : NSRange) -> Range<String.Index>? {
    let from16 = utf16.startIndex.advancedBy(nsRange.location, limit: utf16.endIndex)
    let to16 = from16.advancedBy(nsRange.length, limit: utf16.endIndex)
    if let from = String.Index(from16, within: self),
      let to = String.Index(to16, within: self) {
        return from ..< to
    }
    return nil
  }
  
}