//
//  Global.swift
//  Trampigo
//
//  Created by Naim Ashhab on 06.12.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import Foundation
import UIKit

let serverURL = "http://localhost:8080" // Simulator

let apiPrefix = "/api/1.0"
let serverAPIURL = serverURL + apiPrefix


var isCoachTarget: Bool {
  return NSBundle.mainBundle().infoDictionary?["TargetName"] as? String ?? "" == "Coach"
}

var isGymnastTarget: Bool {
  return NSBundle.mainBundle().infoDictionary?["TargetName"] as? String ?? "" == "Gymnast"
}

func getLogo() -> UIImage {
  return UIImage(named: isGymnastTarget ? "trampigo-icon" : "trampigo-coach-icon")!
}

func iterateEnum<T: Hashable>(_: T.Type) -> AnyGenerator<T> {
  var i = 0
  return anyGenerator {
    let next = withUnsafePointer(&i) { UnsafePointer<T>($0).memory }
    return next.hashValue == i++ ? next : nil
  }
}