//
//  LoginSignUpVC.swift
//  Trampigo
//
//  Created by Naim Ashhab on 03.11.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import UIKit

final class LoginSignUpCrossroadVC: UIViewController {
  
  // MARK: - Outlets
  
  @IBOutlet weak var logo: UIImageView!
  
  @IBOutlet weak var loginButton  : SlantButton!
  @IBOutlet weak var signUpButton : SlantButton!
  
  // MARK: - Property
  // MARK: - Lifecycle
  
  override func viewDidLoad() {
    super.viewDidLoad()
    
    setupView()
  }
  
  override func viewDidAppear(animated: Bool) {
    super.viewDidAppear(animated)
    
    if User.isLoged {
      self.dismissViewController()
    }
  }
  
  override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    if segue.identifier == LoginSignUpSegue.Login.rawValue {
      if let vc = segue.destinationViewController as? LoginSignUpVC {
        vc.login = true
      }
    }
    else if segue.identifier == LoginSignUpSegue.SignUp.rawValue {
      if let vc = segue.destinationViewController as? LoginSignUpVC {
        vc.login = false
      }
    }
  }
  
  // MARK: - Actions
  // MARK: - Selectors
  // MARK: - Private
  
  private func setupView() {
    
    // Colors
    
    loginButton.backgroundColor = UIColor.trampigoPrimaryColor()
    signUpButton.backgroundColor = UIColor.trampigoPrimaryColor()
    
    
    // Texts
    
    loginButton.setTitle("Login".localized, forState: .Normal)
    signUpButton.setTitle("Sign Up".localized, forState: .Normal)
    
    
    // Logo
    
    logo.image = getLogo()
  }
  
}
