//
//  TrainingRoundCell.swift
//  Trampigo
//
//  Created by Naim Ashhab on 09.11.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import UIKit
import MGSwipeTableCell

final class TrainingRoundCell: MGSwipeTableCell {
  
  static var reuseIdentifier = "TrainingRoundCell"
  
  @IBOutlet private weak var skills: UILabel!
  @IBOutlet private weak var difficulty: UILabel!
  @IBOutlet private weak var diffPerSkill: UILabel!
  
  override func awakeFromNib() {
    super.awakeFromNib()
    
    skills.textColor = UIColor.trampigoSkillsColor()
    difficulty.textColor = UIColor.trampigoDifficultyColor()
    diffPerSkill.textColor = UIColor.trampigoDifficultyPerSkillColor()
  }
  
  func setRound(round: Round) {
    skills.text       = "\(round.skills)"
    difficulty.text   = String(format: "%.1f", round.difficulty)
    diffPerSkill.text = String(format: "%.2f", round.difficultyPerSkill)
  }
  
}
