//
//  UserCell.swift
//  Trampigo
//
//  Created by Naim Ashhab on 25.11.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import UIKit

class UserCell: UITableViewCell {
  
  static var reuseIdentifier = "UserCell"
  
  @IBOutlet private weak var avatar: UIImageView!
  @IBOutlet private weak var name: UILabel!
  @IBOutlet private weak var email: UILabel!
  @IBOutlet private weak var connectedSinceLabel: UILabel!
  
  
  override func awakeFromNib() {
    super.awakeFromNib()
    
    avatar.layer.cornerRadius = avatar.frame.height / 2
  }
  
  func setUser(user: User?) {
    
    name.text = user?.fullName ?? "No User"
    email.text = user?.email ?? "--@--.--"
    connectedSinceLabel.hidden = user == nil
    
    // TODO: connectedSince & avatar
  }
  
}
