//
//  NumberField.swift
//  Trampigo
//
//  Created by Naim Ashhab on 10.11.15.
//  Copyright © 2015 Naim Ashhab. All rights reserved.
//

import UIKit

@IBDesignable
final class NumberField: UITextField {

  @IBInspectable var color: UIColor = UIColor.lightGrayColor() {
    didSet {
      backgroundColor = color.colorWithAlphaComponent(0.2)
    }
  }
  
  override func drawRect(rect: CGRect) {
    super.drawRect(rect)
    
    textAlignment = .Center
    keyboardType = .NumberPad
    textColor = color
    font = UIFont.systemFontOfSize(50)
    tintColor = UIColor.clearColor()
    attributedPlaceholder = NSAttributedString(string: "---", attributes: [NSForegroundColorAttributeName: color])
  }
  
  override func becomeFirstResponder() -> Bool {
    self.layer.borderColor = color.CGColor
    self.layer.borderWidth = 3
    return super.becomeFirstResponder()
  }
  
  override func resignFirstResponder() -> Bool {
    self.layer.borderWidth = 0
    return super.resignFirstResponder()
  }
  
}
