//
//  TrainingEntityTest.swift
//  Trampigo
//
//  Created by Naim Ashhab on 13.01.16.
//  Copyright © 2016 Naim Ashhab. All rights reserved.
//

import XCTest
import SwiftyJSON

class TrainingEntityTest: XCTestCase {
  
  var training: Training!
  
  override func setUp() {
    super.setUp()
    
    let trainingJSON = JSON([
      "owner" : ["id": "testID", "fullName": "test name", "email": "test email"],
      "date" : 1452684646,
      "id" : "test id 1234",
      "finished" : true,
      "duration" : 14,
      "rounds" : [
        ["id" : "1", "skills" : 10, "difficulty" : 1],
        ["id" : "2", "skills" : 5, "difficulty" : 10],
        ["id" : "3", "skills" : 9, "difficulty" : 1]
      ]
    ])
    
    training = Training(json: trainingJSON)!
  }
  
  func testTrainingProperties() {
    var properties = Training.countTrainingProperties(training)
    
    XCTAssert(properties.rounds == 3)
    XCTAssert(properties.skills == 24)
    XCTAssert(properties.difficulty == 12)
    XCTAssert(properties.difficultyPerSkill == 0.5)
    XCTAssert(properties.skillsInRound == 8)
    
    training.rounds.append(Round(skills: 10, difficulty: 16.9))
    properties = Training.countTrainingProperties(training.rounds)
    
    XCTAssert(properties.rounds == 4)
    XCTAssert(properties.skills == 34)
    XCTAssert(properties.difficulty == 28.9)
    XCTAssert(properties.difficultyPerSkill == 0.85)
    XCTAssert(properties.skillsInRound == 8.5)
    
  }
  
}
